/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.FuncionSistemaDAO;
import com.rjconsultores.ventaboletos.entidad.FuncionSistema;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author rodrigo
 */
@Repository("funcionSistemaDAO")
public class FuncionSistemaHibernateDAO extends GenericHibernateDAO<FuncionSistema, Integer>
        implements FuncionSistemaDAO {

    @Autowired
    public FuncionSistemaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<FuncionSistema> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.not(Restrictions.eq("descruta", "COM.RJCONSULTORES.ADMINISTRACION.GUI.CONFIGURACIONECCOMERCIALES.MENU.CONFIGURACIONGENERAL")));
        c.addOrder(Order.asc("nombfuncion"));

        return c.list();
    }
}
